﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Configuration;

namespace PServiceBus.Core.Configuration {
    public sealed class DistributorConfigSection : ConfigurationSection, PServiceBus.Core.Interface.IDistributorConfig {

        [ConfigurationProperty("enabled")]
        public bool Enabled {
            get { return (bool)this["enabled"]; }
            set { this["enabled"] = value; }
        }

        [ConfigurationProperty("address")]
        public string Address {
            get { return this["address"] as string; }
            set { this["address"] = value; }
        }

        [ConfigurationProperty("addressID")]
        public string AddressID {
            get { return this["addressID"] as string; }
            set { this["addressID"] = value; }
        }

        [ConfigurationProperty("componentServiceInfoAddress")]
        public string ComponentServiceInfoAddress {
            get { return this["componentServiceInfoAddress"] as string; }
            set { this["componentServiceInfoAddress"] = value; }
        }

    }
}
