﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace PServiceBus.Core.Interface {
    public interface IAuthorizationProvider {
        bool CanSubscribe(string username, string subscriber, string topicName, string filter, bool needHeader, Dictionary<string, string> headers);
        bool CanEditSubscriber(string username, string subscriberName, Dictionary<string, string> headers);
        bool CanCreateSubscriber(string username, Dictionary<string, string> headers);
        bool CanRegisterTopic(string username, Dictionary<string, string> headers);
        bool CanSelectTopic(string username, string topicName, Dictionary<string, string> headers);
        bool CanSelectSubscriber(string username, string subscriberName, Dictionary<string, string> headers);
    }
}
