﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace PServiceBus.Core.Interface {
    /// <summary>
    /// Interface for marking transport that can cleaned up after subscriber object is destroyed
    /// </summary>
    public interface IDeletableTransport {
        /// <summary>
        /// For internal use only. Delete transport datastores such as queues
        /// </summary>
        void Delete();
    }
}
