﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace PServiceBus.Core.Interface {
    public interface IKeyValueStore {
        ulong Incr(string key);
        ulong Decr(string key);
        void Set<TValue>(string key, TValue value);
        TValue Get<TValue>(string key);
    }
}
