﻿using System;
using PServiceBus.Core.Runtime;
namespace PServiceBus.Core.Interface {
    public interface IObserverConfig {
        /// <summary>
        /// Endpoint for specified observer type
        /// </summary>
        string Address { get; set; }
        /// <summary>
        /// Interval for observer
        /// </summary>
        int Interval { get; set; }
        /// <summary>
        /// Name for observer
        /// </summary>
        string Name { get; set; }
        /// <summary>
        /// Observer Type
        /// </summary>
        ObserverConfigType ObserverType { get; set; }
        /// <summary>
        /// Type to create for type
        /// </summary>
        string Type { get; set; }
    }
}
