﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Collections;
using PServiceBus.Core.Runtime.Topics;

namespace PServiceBus.Core.Interface
{
    /// <summary>
    /// Represent an topic within the ESB
    /// </summary>
    public interface ITopic : IIdentifiable
    {
        /// <summary>
        /// Name of topic to be evaluated.
        /// </summary>
        string Name { get; set; }

        /// <summary>
        /// Contract definition of topic
        /// </summary>
        TopicContract Contract { get; set; }
    }
}
