﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace PServiceBus.Core.Interface {
    public interface IWebSocketServer {
        void Start(string host, int port, bool secured);
        Action<IWebSocketConnection, string> OnMessage { get; set; }
        Action<IWebSocketConnection, Exception> OnError { get; set; }
        Action<IWebSocketConnection> OnOpen { get; set; }
        Action<IWebSocketConnection> OnClose { get; set; }
        string Cerfx { get; set; }
        void Close();
    }
}
