﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using PServiceBus.Core.Interface;

namespace PServiceBus.Core.Logger {
    public class ConsoleLogger : ILogger {
        #region ILogger Members

        public void Log(string text, params object[] args) {
            Console.WriteLine(text, args);
        }

        public void Log(Exception ex) {
            Log(ex.ToString());
        }

        #endregion
    }
}
