﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace PServiceBus.Core.Runtime.Transports {
    [Serializable]
    public class TransportResponse {
        public string Message { get; set; }
        public bool Success { get; set; }
        public string Type { get; set; }
        public static TransportResponse New<TType>() where TType : class {
            var type = typeof(TType);
            return new TransportResponse() { Type = type.Name };
        }
    }
}
