﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using PServiceBus.Core.Interface;

namespace PServiceBus.Core.Security {
    public class DefaultAuthorizationProvider : IAuthorizationProvider {

        #region IAuthorizationProvider Members

        public bool CanSubscribe(string username, string subscriber, string topicName, string filter, bool needHeader, Dictionary<string, string> headers) {
            return true;
        }

        public bool CanEditSubscriber(string username, string subscriberName, Dictionary<string, string> headers) {
            return true;
        }

        public bool CanCreateSubscriber(string username, Dictionary<string, string> headers) {
            return true;
        }

        public bool CanRegisterTopic(string username, Dictionary<string, string> headers) {
            return true;
        }

        public bool CanSelectTopic(string username, string topicName, Dictionary<string, string> headers) {
            return true;
        }

        public bool CanSelectSubscriber(string username, string subscriberName, Dictionary<string, string> headers) {
            return true;
        }

        #endregion
    }
}
