﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using PServiceBus.Core.Interface;
using PServiceBus.Core.Security;
using System.Diagnostics;
using PServiceBus.Gateway.Interfaces.DTO;


namespace PServiceBus.Gateway.Interfaces.Commands {
    public class BusMessage : MessageBase {
        public string SubscriberName { get; set; }
        public bool Durable { get; set; }
        public string TopicName { get; set; }
        public string Filter { get; set; }
        public bool NeedHeader { get; set; }
        public bool CaseSensitive { get; set; }
        public string TransportName { get; set; }
        public ITransport Transport { get; set; }
        public TopicInfo Topic { get; set; }
        public bool ReThrowException { get; set; }
        public ESBUserContext UserContext { get; set; }
        public Dictionary<string, string> Headers { get; set; }
    }
}
