﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Phoenix.RedisConnectors;
using PServiceBus.Gateway.Interfaces.Commands;

namespace PServiceBus.Gateway.Redis.Commands {
    public abstract class RedisMessageBase : MessageBase, IRedisCommand {
        #region IRedisCommand Members

        public bool IsAsync { get; set; }

        public string Key { get; set; }

        public RedisPatternType Pattern { get; set; }

        public string CommandID { get; set; }

        #endregion
    }
}
