﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Phoenix.RedisConnectors;
using PServiceBus.Gateway.Interfaces.DTO;

namespace PServiceBus.Gateway.Redis.DTO {
    public class RedisRouterRequest : RouterRequest, IRedisCommand {
        #region IRedisCommand Members

        public bool IsAsync { get; set; }

        public string Key { get; set; }

        public RedisPatternType Pattern { get; set; }

        public string CommandID { get; set; }

        #endregion
        public new static RedisRouterRequest Empty { get { return new RedisRouterRequest(); } }

    }
}
