﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using PServiceBus.Gateway.Interfaces.DTO;
using Phoenix.RedisConnectors;

namespace PServiceBus.Gateway.Redis.DTO {
    public class RedisTopicInfos : TopicInfos, IRedisCommandReply {
        public new static RedisTopicInfos New(params TopicInfo[] topics) {
            return new RedisTopicInfos() { Topics = topics.ToList() };
        }
    }
}
