﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Phoenix.ZeroMQConnectors;
using PServiceBus.Gateway.Interfaces.Commands;

namespace PServiceBus.Gateway.ZeroMQ.Commands {
    public abstract class ZeroMQMessageBase : MessageBase, IZeroMQCommand {
        #region IZeroMQCommand Members

        public bool IsAsync { get; set; }

        public string Key { get; set; }

        public ZeroPatternType Pattern { get; set; }

        #endregion
    }
}
