﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using PServiceBus.Gateway.Interfaces.DTO;
using Phoenix.ZeroMQConnectors;

namespace PServiceBus.Gateway.ZeroMQ.DTO {
    public class ZeroMQTopicInfos : TopicInfos, IZeroMQCommandReply {
        public new static ZeroMQTopicInfos New(params TopicInfo[] topics) {
            return new ZeroMQTopicInfos() { Topics = topics.ToList() };
        }
    }
}
