﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace PServiceBus.MessageProxy {
    [AttributeUsage(AttributeTargets.Interface, AllowMultiple=false)]
    public class ESBProxyServiceAttribute : Attribute {
        
        public string Host { get; internal set; }
        public int Port { get; internal set; }

        public ESBProxyServiceAttribute(string host = "localhost", int port = 8000) {
            Host = host;
            Port = port;
        }
    }
}
