﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using PServiceBus.Core.Interface;
using PServiceBus.Cassandra;

namespace PServiceBus.SubscriptionManagers {
    public class CassandraSubscriptionManager : BaseSubscriptionManager {

        protected override IObjectProvider<ISubscriber> GetProvider() {
            return new Provider<ISubscriber>()
            {
                Endpoint = Address,
                AppendTypeNameToEndpoint = true,
                IDFunc = s => s.ID
            };
        }

    }
}
