﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Web;

namespace PServiceBus.WebAPI.Transports {
    internal class HttpStreamingTransport : BaseHttpTransport {

        internal override void Init() {
            Writer.Write(String.Concat(Enumerable.Repeat(" ", 1024 * 8)));
        }

        internal override string ContentType {
            get { return "text/html"; }
        }

        protected override void Write(string json) {
            Writer.Write(String.Format("<comet>{0}</comet>", json));
        }
    }
}
