﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using PServiceBus.Core.Interface;

namespace PServiceBus.Core.Components {
    public abstract class ComponentBase : IComponent {
        #region IComponent Members

        public virtual void Init() {
        }

        public int BatchSize { get; set; }

        public abstract void Execute();

        public virtual void Close() {
        }

        public virtual void SaveState() {
        }

        #endregion
    }
}
