﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Configuration;

namespace PServiceBus.Core.Configuration {
    public sealed class ComponentConfigSection : ConfigurationSection, PServiceBus.Core.Interface.IComponentConfig {

        [ConfigurationProperty("type")]
        public string Type {
            get { return this["type"] as string; }
            set { this["type"] = value; }
        }

        [ConfigurationProperty("assembly")]
        public string Assembly {
            get { return this["assembly"] as string; }
            set { this["assembly"] = value; }
        }

        [ConfigurationProperty("name")]
        public string Name {
            get { return this["name"] as string; }
            set { this["name"] = value; }
        }

    }
}
