﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Configuration;

namespace PServiceBus.Core.Configuration {
    public sealed class ComponentContainerConfigSection : ConfigurationSection, PServiceBus.Core.Interface.IComponentContainerConfig {

        [ConfigurationProperty("batchSize")]
        public int BatchSize {
            get { return (int)this["batchSize"]; }
            set { this["batchSize"] = value; }
        }

        [ConfigurationProperty("interval")]
        public int Interval {
            get { return (int)this["interval"]; }
            set { this["interval"] = value; }
        }

        [ConfigurationProperty("address")]
        public string Address {
            get { return this["address"] as string; }
            set { this["address"] = value; }
        }

        [ConfigurationProperty("addressID")]
        public string AddressID {
            get { return this["addressID"] as string; }
            set { this["addressID"] = value; }
        }

    }
}
