﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Configuration;

namespace PServiceBus.Core.Configuration {
    public class LoggerConfigSection : ConfigurationSection, PServiceBus.Core.Interface.ILoggerConfig {

        [ConfigurationProperty("type")]
        public string Type {
            get { return this["type"] as string; }
            set { this["type"] = value; }
        }

        [ConfigurationProperty("tracePath")]
        public string TracePath {
            get { return this["tracePath"] as string; }
            set { this["tracePath"] = value; }
        }


        [ConfigurationProperty("errorLogPath")]
        public string ErrorLogPath {
            get { return this["errorLogPath"] as string; }
            set { this["errorLogPath"] = value; }
        }

        [ConfigurationProperty("logPath")]
        public string LogPath {
            get { return this["logPath"] as string; }
            set { this["logPath"] = value; }
        }

        [ConfigurationProperty("enabled")]
        public bool Enabled {
            get { return (bool)this["enabled"]; }
            set { this["enabled"] = value; }
        }

    }
}
