﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Configuration;

namespace PServiceBus.Core.Configuration {
    public sealed class SecurityConfigSection : ConfigurationSection, PServiceBus.Core.Interface.ISecurityConfig {
        
        [ConfigurationProperty("authorizationType", IsRequired = true)]
        public string AuthorizationType {
            get { return (string)this["authorizationType"]; }
            set { this["authorizationType"] = value; }
        }

        [ConfigurationProperty("authenticationType", IsRequired = true)]
        public string AuthenticationType {
            get { return (string)this["authenticationType"]; }
            set { this["authenticationType"] = value; }
        }
    }
}
