﻿using System;
namespace PServiceBus.Core.Interface {

    public interface IMessageStoreConfig {
        /// <summary>
        /// Endpoint to pass to MessageStore type
        /// </summary>
        string Address { get; set; }
        /// <summary>
        /// MessageStore will be called when a new message is created if true
        /// </summary>
        bool Enabled { get; set; }
        /// <summary>
        /// MessageStore Alias
        /// </summary>
        string Name { get; set; }
        /// <summary>
        /// MessageStore Type
        /// </summary>
        string Type { get; set; }
    }

}
