﻿using System;
namespace PServiceBus.Core.Interface {
    public interface ISubscriptionManagerConfig {
        /// <summary>
        /// Endpoint to use for specified Subscription Type
        /// </summary>
        string Address { get; set; }
        /// <summary>
        /// Alias for subscription
        /// </summary>
        string Name { get; set; }
        /// <summary>
        /// Type to initialize for subscription
        /// </summary>
        string Type { get; set; }
    }
}
