﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel.Composition;

namespace PServiceBus.Core.Interface {
    /// <summary>
    /// Encapsulate for Sequence of topics
    /// </summary>
    public interface ITopicObserver : IObserver {
        /// <summary>
        /// Current IExecutableManager for storing IExecutable
        /// </summary>
        IWorkerManager Manager { get; set; }
    }
}
