﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace PServiceBus.Core.Interface {
    public interface IWorkerManager {
        void Attach(IWorker worker);
        void Detach(IWorker worker);
        void Attach(IEnumerable<IWorker> worker);
        void Detach(IEnumerable<IWorker> workers);
        IEnumerable<IWorker> Workers { get; }
    }
}
