﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Diagnostics;
using PServiceBus.Core.Interface;

namespace PServiceBus.Core.Logger {
    public class DebugWindowLogger : ILogger {

        private readonly string _category = "PServiceBus Engine";
        #region ILogger Members

        public void Log(string text, params object[] args) {
            Debug.WriteLine(String.Format(text, args), _category);
        }

        public void Log(Exception ex) {
            Log(ex.ToString());
        }

        #endregion
    }
}
