﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using PServiceBus.Core.Interface;
using PServiceBus.Core.Runtime.Transports;

namespace PServiceBus.Core.Runtime.Messages {
    /// <summary>
    /// Data structure that is parse into a transport message that will eventually be sent to subscribers
    /// </summary>
    [Serializable]
    public class TopicMessage : IMessage, IDeleteable {

        #region IMessage Members

        public TransportMessage Message { get; set; }

        public DateTime CreateDate { get; set; }

        public Guid TopicID { get; set; }

        #endregion

        #region IIdentifiable Members

        public Guid ID { get; set; }

        #endregion
    }
}
