﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using MessageShark;
using PServiceBus.Core.Interface;
using PServiceBus.Core.Subscription;
using PServiceBus.Core.Runtime.Topics;

namespace PServiceBus.Core.Runtime {
    public class SerializationBootstrapper {
        public static void Configure() {
            if (!MessageSharkSerializer.IsTypeRegisterFor<ISubscriber>(typeof(Subscriber)))
                MessageSharkSerializer.RegisterTypeFor<ISubscriber>(typeof(Subscriber), 1);
            if (!MessageSharkSerializer.IsTypeRegisterFor<ITopic>(typeof(TopicInfo)))
                MessageSharkSerializer.RegisterTypeFor<ITopic>(typeof(TopicInfo), 1);
        }
    }
}
