﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace PServiceBus.Gateway.Interfaces.DTO {

    public class SubscriberInfo {
        public Guid ID { get; set; }
        public string Name { get; set; }
        public bool Durable { get; set; }
        public bool IsValid { get; set; }
        public Dictionary<string, TransportInfo> Transports { get; set; }
        public Dictionary<string, TopicInfo> Topics { get; set; }

        public SubscriberInfo() {
            Transports = new Dictionary<string, TransportInfo>();
            Topics = new Dictionary<string, TopicInfo>();
        }
    }
}
