﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using PServiceBus.Core.Runtime.Gateway;

namespace PServiceBus.Gateway.Interfaces {
    public interface IBusRouter : IDisposable {
        ServiceInfo[] GetServices();
        void SetConnectedClients(Guid id, bool decrement);
        void DeleteService(Guid id);
        IBusRouter Init(string address);
    }
}
