﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace PServiceBus.Gateway.Interfaces {
    public interface IGatewayClient : IDisposable {
        void Send<TCommand>(TCommand command) where TCommand : class;
        TResponse Send<TRequest, TResponse>(TRequest request)
            where TRequest : class
            where TResponse : class;
        IGatewayClient Init(string address);
    }
}
