﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using PServiceBus.Gateway.Interfaces;
using PServiceBus.Gateway.Redis.DTO;
using PServiceBus.Core.Runtime.Gateway;
using PServiceBus.Core.Manager;

namespace PServiceBus.Gateway.Redis {
    public class RedisRouterService : IRouterService {

        #region IMessageService Members

        public IGatewayServer Server { get; set; }

        public void RegisterRequestResponse() {
            Server.Register<RedisRouterRequest, RedisServiceInfos>(GetServices);
        }

        private static RedisServiceInfos GetServices(RedisRouterRequest request) {
            return new RedisServiceInfos()
            {
                Services = ObjectManager<ServiceInfo>.Instance.ToArray()
            };
        }

        #endregion
    }
}
