﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Phoenix.ZeroMQConnectors;
using PServiceBus.Gateway.Interfaces.DTO;

namespace PServiceBus.Gateway.ZeroMQ.DTO {
    public class ZeroMQRouterRequest : RouterRequest, IZeroMQCommand {
        #region IZeroMQCommand Members

        public bool IsAsync { get; set; }

        public string Key { get; set; }

        public ZeroPatternType Pattern { get; set; }

        #endregion
        public new static ZeroMQRouterRequest Empty { get { return new ZeroMQRouterRequest(); } }
    }
}
