﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace PServiceBus.MessageProxy {
    [AttributeUsage(AttributeTargets.Method, AllowMultiple = true)]
    public class ESBTransportParamAttribute : Attribute {
        public string Name { get; internal set; }
        public string Value { get; internal set; }

        public ESBTransportParamAttribute(string name, string value) {
            Name = name;
            Value = value;
        }
    }
}
