﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using PServiceBus.Core.Interface;
using PServiceBus.Redis;
using PServiceBus.Core.Subscription;
using PServiceBus.Core.Runtime;
using PServiceBus.Core.Runtime.Transports;
using PServiceBus.Core.Provider;
using PServiceBus.Core.Runtime.Topics;
using System.Text.RegularExpressions;

namespace PServiceBus.SubscriptionManagers {
    public class RedisSubscriptionManager : BaseSubscriptionManager {

        protected override IObjectProvider<ISubscriber> GetProvider() {
            return new Provider<ISubscriber>()
            {
                Endpoint = Address,
                AppendTypeNameToEndpoint = true,
                IDFunc = s => s.ID
            };
        }

    }
}
