﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace PServiceBus.WebSocket {
    public class WebSocketSubscriberInfo {
        public string SubscriberName { get; set; }
        public string TransportName { get; set; }
        public int BatchSize { get; set; }
        public int Interval { get; set; }
        public string UserName { get; set; }
        public string Password { get; set; }
        public int RetryCount { get; set; }
        public string ClientToken { get; set; }
        public string ClientIpAddress { get; set; }

        internal Dictionary<string, string> Headers {
            get {
                var headers = new Dictionary<string, string>();
                headers["ConnectionID"] = SubscriberName;
                headers["UserName"] = UserName;
                headers["ClientIpAddress"] = ClientIpAddress;
                return headers;
            }
        }
    }
}
